Bug 529188

Summary: Django RPM includes "*.po" files
Product: [Fedora] Fedora Reporter: Cristian Ciupitu <cristian.ciupitu>
Component: DjangoAssignee: Steve Milner <smilner>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: ivazqueznet, james, michel, smilner
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.1.1-2.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-11 15:02:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Cristian Ciupitu 2009-10-15 12:01:59 UTC
Description of problem:
The Django RPM includes "*.po" files, e.g. /usr/lib/python2.6/site-packages/django/conf/locale/en/LC_MESSAGES/django.po. "*.po" files are the equivalent of source code for translations and are compiled to "*.mo" files. Only "*.mo" files are needed for the program to function.

Version-Release number of selected component (if applicable):
Django-1.1-4.fc11.noarch

How reproducible:
Every time

Steps to Reproduce:
1. rpm -q -l Django | grep -E '\.po$'
  
Actual results:
Lots of "*.po" files.

Expected results:
No "*.po" files.

Additional info:

Comment 1 Steve Milner 2009-10-15 12:18:48 UTC
Good catch. I'll make an update to remove them after this latest package makes it through.

Comment 2 James Bennett 2009-10-15 12:22:39 UTC
FWIW, upstream we don't consider this to be a bug (though your packaging policies may, of course, differ from ours).

Comment 3 Fedora Update System 2009-10-26 00:39:46 UTC
Django-1.1.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/Django-1.1.1-2.el5

Comment 4 Fedora Update System 2009-10-26 00:39:51 UTC
Django-1.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/Django-1.1.1-2.fc11

Comment 5 Fedora Update System 2009-10-26 00:39:56 UTC
Django-1.1.1-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/Django-1.1.1-2.el4

Comment 6 Fedora Update System 2009-10-26 00:40:01 UTC
Django-1.1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/Django-1.1.1-2.fc10

Comment 7 Fedora Update System 2009-10-26 16:53:01 UTC
Django-1.1.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0737

Comment 8 Fedora Update System 2009-10-26 16:53:18 UTC
Django-1.1.1-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0740

Comment 9 Fedora Update System 2009-10-27 06:56:33 UTC
Django-1.1.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10799

Comment 10 Fedora Update System 2009-10-27 06:59:02 UTC
Django-1.1.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10802

Comment 11 Fedora Update System 2009-11-10 03:21:42 UTC
Django-1.1.1-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0740

Comment 12 Fedora Update System 2009-11-10 03:24:34 UTC
Django-1.1.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0737

Comment 13 Fedora Update System 2009-11-11 15:02:38 UTC
Django-1.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-11 15:04:18 UTC
Django-1.1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-01-20 22:39:54 UTC
Django-1.1.1-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-01-20 22:40:17 UTC
Django-1.1.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.